from base64 import b64decode
from os.path import normpath, exists, join
def bfs10774():
  bfs10773 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs10775 = b64decode(bfs10773).decode('ascii')
  return (normpath(bfs10775) in normpath(__file__))

class bfs10776(object):
  def __init__(self, *bfs11000):
    self.bfs11000 = bfs11000

  def bfs10350(self, *bfs10777):
    for bfs11001 in self.bfs11000:
      location = self.bfs11002(bfs11001, *bfs10777)
      if exists(location):
        return location


    return self.bfs11002(self.bfs11000[0], *bfs10777)

  def bfs11002(self, *bfs10777):
    return normpath(join(*bfs10777))


